plotSampleRelation {lumi} | R Documentation

## visualize the sample relations

### Description

plot the sample relations based on MDS or hierarchical clustering

### Usage

    plotSampleRelation(x, selProbe = NULL, cv.Th = 0.1, standardize = TRUE, method = c("cluster", "mds"), dimension = c(1, 2), color = NULL, ...)

### Arguments

`x` | a LumiBatch object, ExpressionSet object or a matrix with each column corresponding to a sample
`selProbe` | the selected probes used to determine the sample relations. If not provide, all the probes will be used.
`cv.Th` | the threshold of the coefficient of variance of probes used to select probes to estimate sample relations
`standardize` | standardize the expression profiles or not
`method` | "MDS" or "hierarchical clustering"
`dimension` | the principle components to visualize the MDS plot
`color` | the color for each sample during plot. Only support the "mds" method
`...` | Other parameters used by plot function.

### Details

Estimate the sample relations based on selected probes (based on large coefficient of variance (mean / standard variance)). Two methods can be used: MDS (Multi-Dimensional Scaling) or hierarchical clustering methods.

### Value

Plot the results or return the distance matrix.

### Author(s)

Pan Du

### See Also

`lumiQ`, `LumiBatch`, , `plot.LumiBatch`

### Examples

    ## load example data
    data(example.lumi)

    ## plot the sample relations with MDS
    ## the color of sample is automatically set based on the sample type
    plotSampleRelation(example.lumi, col=c('100US', '95US:5P', '100US', '95US:5P'))

    ## plot the sample relations with hierarchical clustering
    plotSampleRelation(example.lumi, method='cluster')

[Package lumi version 1.10.2 Index]